import * as React from "react";
export interface ISource {
    source: string | {
        uri: string;
    };
}
export interface ICheckboxCardProps {
    text: string;
    width?: number;
    height?: number;
    quantity?: string;
    darkMode?: boolean;
    isChecked?: boolean;
    circleSize?: number;
    ImageComponent?: any;
    borderRadius?: number;
    backgroundColor?: string;
    checkedTextColor?: string;
    circleBorderColor?: string;
    circleBorderRadius?: number;
    uncheckedTextColor?: string;
    enableQuantityText?: boolean;
    circleBackgroundColor?: string;
    checkImageSource?: ISource;
    sortIconImageSource?: ISource;
    textStyle?: any;
    quantityTextStyle?: any;
    rightIconComponent?: React.ReactElement;
    checkIconComponent?: React.ReactElement;
    onPress: (checked: boolean) => void;
}
interface IState {
    theme: string;
    checked: boolean;
}
export default class RNCheckboxCard extends React.Component<ICheckboxCardProps, IState> {
    constructor(props: ICheckboxCardProps);
    handleOnPress: () => void;
    renderCheckIcon: () => JSX.Element;
    renderCircleCheck: () => JSX.Element;
    renderTextContainer: () => JSX.Element;
    renderSortButton: () => JSX.Element;
    render(): JSX.Element;
}
export {};
